How does the Storage Engine API Change from 5.1 to 5.6 Version (Doc ID 1900107.1)

Last updated on MARCH 08, 2017

Applies to:

MySQL Server - Version 5.1 and later
Information in this document applies to any platform.

Goal

--- Question 1 ---

Has the storage engine API changed in the latest 5.6.17 compared to that in 5.1.54 ?
 
--- Question 2 ---

Do we need to recompile our SE with 5.6.17 in order to use it or is it binary compatible ( we can use old SE with the latest Mysql server )?
 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms